package com.emdoor.scannerdemo;

import androidx.multidex.MultiDexApplication;

import com.emdoor.scannerdemo.utils.SharedPreferencesUtil;
import com.emdoor.scannerdemo.utils.XmlConfigUtil;

public class MyApplication extends MultiDexApplication {
    @Override
    public void onCreate() {
        super.onCreate();
        SharedPreferencesUtil.init(this);

        // model
        String model = SharedPreferencesUtil.getString("model", XmlConfigUtil.getXmlConfig().model);
        SharedPreferencesUtil.put("model", model);
        // readerId
        int readerId = SharedPreferencesUtil.getInt("readerId", XmlConfigUtil.getXmlConfig().ReaderID);
        SharedPreferencesUtil.put("readerId", readerId);
    }
}
